cambiare selezione su listato

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
#1
mi scuso ma ho alcuni listati che hanno la selezione singola non si potrebbe modificare i lisp che posto ?

uno è questo: PIB.lsp (fa selezionare solo un elemento, spero che funziona coi blocchi nidificati e serve per mettere tutte le polilinee a spessore 0)

(defun c:pib (/ s)
(vl-load-com)
(princ "\n Select the block with a polyline")
(if (and (setq s (ssget "_+.:S" '((0 . "insert"))))
(setq s (cdr (assoc 2 (entget (ssname s 0)))))
) ;_ and
(progn
(vlax-for
o
(vla-item (vla-get-blocks
(vla-get-ActiveDocument (vlax-get-acad-object))
) ;_ vla-get-blocks
s
) ;_ vla-item
;;(setq o (vla-item (vla-item (vla-get-blocks (vla-get-ActiveDocument(vlax-get-acad-object))) s)0))
(if (= (vla-get-objectname o) "AcDbPolyline")
(vl-catch-all-apply 'vla-put-ConstantWidth (list o 0.))
) ;_ if
) ;_ vlax-for
(foreach x (mapcar (function cadr)
(ssnamex (ssget "_x" (list (cons 2 s))))
) ;_ mapcar
(vla-update (vlax-ename->vla-object x))
) ;_ foreach
) ;_ progn
) ;_ if
(princ)
)